Summary: SSL-encrypting socket wrapper
Name: stunnel
Version: 3.7
Release: 1
Group: Networking
Copyright: GPL
Url: http://mike.daewoo.com.pl/computer/stunnel/
Packager: Hao Li <hli@wag.caltech.edu>
Source: http://mike.daewoo.com.pl/computer/stunnel/stunnel-%{version}.tar.gz
Patch: stunnel-%{version}.patch
Requires: openssl
Buildroot: /var/tmp/%{name}-root

%description
stunnel is a socket wrapper which can be used to give ordinary
applications SSL (secure sockets layer) support. For example, it
can be used in conjunction with a imapd to create a SSL secure IMAP
server.


%prep
%setup -q
%patch -p1


%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr --localstatedir=/var
make


%install
rm -rf $RPM_BUILD_ROOT
make install-strip \
	prefix=$RPM_BUILD_ROOT/usr \
	sslcnf=$RPM_BUILD_ROOT/etc/ssl \
	piddir=$RPM_BUILD_ROOT/var/stunnel


%post
/sbin/ldconfig
echo "To generate a self signed certificate, execute the following commands:"
echo ""
echo ""
echo "cd /etc/ssl/certs"
echo "openssl req -new -x509 -nodes -days 365 -out server.pem -keyout server.pem"
echo "ln -s server.pem \`openssl x509 -noout -hash < server.pem\`.0" 
echo "chmod 644 server.pem"
echo ""

%postun
/sbin/ldconfig
if [ -r /etc/ssl/certs/server.pem ]; then
	echo "You may wish to remove the stunnel certificate."
	echo "If so, execute the following commands:"
	echo ""
	echo "rm -f /etc/ssl/certs/`openssl x509 -noout -hash < /etc/ssl/certs/server.pem`.0"
	echo "rm -f /etc/ssl/certs/server.pem"
	echo ""
fi


%files
%defattr(-,root,root)
%doc BUGS COPY* FAQ HISTORY INSTALL PORTS README TODO
%doc ca.html ca.pl importCA.html importCA.sh stunnel.cnf stunnel.html
%doc transproxy.txt
/etc/ssl/certs/*
/usr/lib/*
/usr/man/man*/*
/usr/sbin/*
/var/stunnel


%clean
rm -rf $RPM_BUILD_ROOT

